package dareka.common;

@Deprecated
public class Config {
    public static final String LISTEN_PORT = "listenPort";
    public static final String PROXY_HOST = "proxyHost";
    public static final String PROXY_PORT = "proxyPort";
    public static final String TITLE = "title";

    private int listenPort = 8080;
    private String proxyHost = "";
    private int proxyPort = 8081;
    private boolean title = true;

    public int getListenPort() {
        return listenPort;
    }

    public void setListenPort(int listenPort) {
        if (listenPort < 1 || 65535 < listenPort) {
            throw new IllegalArgumentException("invalid listen port: "
                    + listenPort);
        }
        this.listenPort = listenPort;
    }

    public String getProxyHost() {
        return proxyHost;
    }

    public void setProxyHost(String proxyHost) {
        this.proxyHost = proxyHost;
    }

    public int getProxyPort() {
        return proxyPort;
    }

    public void setProxyPort(int proxyPort) {
        if (proxyPort < 1 || 65535 < proxyPort) {
            throw new IllegalArgumentException("invalid proxy port: "
                    + proxyPort);
        }
        this.proxyPort = proxyPort;
    }

    public boolean isTitle() {
        return title;
    }

    public void setTitle(boolean title) {
        this.title = title;
    }

    // [nl] staticȌ^ʃftHgltgetter
    public static boolean getBoolean(String key, boolean def) {
        return Boolean.valueOf(System.getProperty(key, String.valueOf(def)));
    }

    public static String getString(String key, String def) {
        return System.getProperty(key, def);
    }

    public static int getInteger(String key, int def) {
        return Integer.valueOf(System.getProperty(key, String.valueOf(def)));
    }
}
